Name:           feclipse-maven-plugin
Version:        0.0.2
Release:        1%{?dist}
Summary:        Eclipse repo2runnable Maven Mojo

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org
Source0:        https://git.fedorahosted.org/cgit/feclipse-maven-plugin.git/snapshot/feclipse-maven-plugin-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: mvn(org.eclipse.tycho:tycho-p2-facade)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.eclipse.tycho.extras:tycho-p2-extras-plugin)
BuildRequires: maven-local
Requires: mvn(org.eclipse.tycho:tycho-p2-facade)
Requires: mvn(org.apache.maven:maven-plugin-api)
Requires: mvn(junit:junit)
Requires: mvn(org.eclipse.tycho.extras:tycho-p2-extras-plugin)
Requires: eclipse-platform

%description
A Maven plugin that transform Eclipse P2 repository into a runnable form,
so the repository can be put into dropins folder.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%build
cd installer
%mvn_build

%install
cd installer
%mvn_install


%files -f installer/.mfiles
%dir %{_javadir}/%{name}

%files javadoc -f installer/.mfiles-javadoc


%changelog
* Thu May 9 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.2-1
- Update to latest upstream.

* Thu May 2 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.1-2
- Properly upload sources.

* Wed May 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.1-1
- Initial import (RHBZ 958431)
